<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_q.html#index_q"><span>q</span></a></li>
      <li class="current"><a href="functions_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_x.html#index_x"><span>x</span></a></li>
      <li><a href="functions_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_z.html#index_z"><span>z</span></a></li>
      <li><a href="functions_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_r.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_r"></a>- r -</h3><ul>
<li>RadioReceiver()
: <a class="el" href="classflair_1_1sensor_1_1_radio_receiver.html#a5abce8bcbb876bcc3ca4c37c00784576">flair::sensor::RadioReceiver</a>
</li>
<li>RangeFinderPlot()
: <a class="el" href="classflair_1_1gui_1_1_range_finder_plot.html#a984eb9df29bc0262b65d470ad71599d4">flair::gui::RangeFinderPlot</a>
</li>
<li>RawAx
: <a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea90ece67a73f71355e7c5a6adf5e8149d">flair::core::ImuData</a>
</li>
<li>RawAy
: <a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beaf17fe48e3f3aeeb97c77e78340bb5803">flair::core::ImuData</a>
</li>
<li>RawAz
: <a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bead8be85dbc38cbd7c3e5493256ffa1d00">flair::core::ImuData</a>
</li>
<li>RawGx
: <a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beafbc2d2a514c95994271df80a8e5be519">flair::core::ImuData</a>
</li>
<li>RawGxDeg
: <a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea915a640fc43e113b03e4391cf0c733a9">flair::core::ImuData</a>
</li>
<li>RawGy
: <a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea4b4d9ad7d324cc7658342ec2c4771695">flair::core::ImuData</a>
</li>
<li>RawGyDeg
: <a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beadbc88531fe4da892ae4bcd48089d0565">flair::core::ImuData</a>
</li>
<li>RawGz
: <a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beadc2e059b491fedb6d2960281b7ad6622">flair::core::ImuData</a>
</li>
<li>RawGzDeg
: <a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea98589e84fadf04b96b5c578ec931a78f">flair::core::ImuData</a>
</li>
<li>RawMx
: <a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea9ad641005399ef838c6b72845404be6b">flair::core::ImuData</a>
</li>
<li>RawMy
: <a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea526c117774f8517ee9496395c87b63cf">flair::core::ImuData</a>
</li>
<li>RawMz
: <a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beae864388017d2f02860096371f515a367">flair::core::ImuData</a>
</li>
<li>RawRead()
: <a class="el" href="classflair_1_1core_1_1_gps_data.html#a244d2936017287fcba29d56a02eb18d7">flair::core::GpsData</a>
, <a class="el" href="classflair_1_1core_1_1io__data.html#aa590e14a9fb18a1ffc5d4dbed85f46c4">flair::core::io_data</a>
, <a class="el" href="classflair_1_1core_1_1_matrix.html#af7509ac0c75da68a075810b65ff3af9b">flair::core::Matrix</a>
</li>
<li>RawWrite()
: <a class="el" href="classflair_1_1core_1_1io__data.html#aa81cc1713a594806040a1e5d52ec9fa3">flair::core::io_data</a>
, <a class="el" href="classflair_1_1core_1_1_matrix.html#acad848be33c2afdc0cb447b3ce4c8533">flair::core::Matrix</a>
</li>
<li>Read()
: <a class="el" href="classflair_1_1core_1_1_i2c_port.html#a1d817db571abf2eb5de697fc476ae143">flair::core::I2cPort</a>
, <a class="el" href="classflair_1_1core_1_1_r_t_d_m___i2c_port.html#afec0673b369c8c1cec9acdc13ac4a26e">flair::core::RTDM_I2cPort</a>
, <a class="el" href="classflair_1_1core_1_1_r_t_d_m___serial_port.html#abb4f3486983680b83430ed6af52e156b">flair::core::RTDM_SerialPort</a>
, <a class="el" href="classflair_1_1core_1_1_serial_port.html#a5e9f8971fc5ea70a2d66a771c6e7d711">flair::core::SerialPort</a>
, <a class="el" href="classflair_1_1core_1_1_shared_mem.html#a834ba5f2d06345b0125f7ba8b66391b6">flair::core::SharedMem</a>
, <a class="el" href="classflair_1_1core_1_1_unix___i2c_port.html#a68edd3f3770e836a29e4c4a126310e48">flair::core::Unix_I2cPort</a>
, <a class="el" href="classflair_1_1core_1_1_unix___serial_port.html#a728b2c89f129e7fbf5ce365f58f777b3">flair::core::Unix_SerialPort</a>
</li>
<li>ReaderReady()
: <a class="el" href="classflair_1_1core_1_1_shared_mem.html#aead806d7b3e48aecefcbb3dcd724ef49">flair::core::SharedMem</a>
</li>
<li>RecvMessage()
: <a class="el" href="classflair_1_1core_1_1_connected_socket.html#ade302ba4b2afddd6b421823a261f01c9">flair::core::ConnectedSocket</a>
, <a class="el" href="classflair_1_1core_1_1_tcp_socket.html#a843ce6bee190e7840ca5554654ed580d">flair::core::TcpSocket</a>
, <a class="el" href="classflair_1_1core_1_1_udp_socket.html#ab7baa24d07f00a5b882d5f89826adcd1">flair::core::UdpSocket</a>
, <a class="el" href="classflair_1_1core_1_1_udt_socket.html#a8f7970d0532c9b280b180a63a6c604bc">flair::core::UdtSocket</a>
</li>
<li>Red
: <a class="el" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea785377b2f1b0af2b89cbfb67634e2228">flair::gui::DataPlot</a>
</li>
<li>ReleaseMutex()
: <a class="el" href="classflair_1_1core_1_1_mutex.html#a1fd1e2cbcacd6a51e21da35cd26800f6">flair::core::Mutex</a>
, <a class="el" href="classflair_1_1gui_1_1_box.html#a3d1e4e81c7c59a051368a346a104c988">flair::gui::Box</a>
</li>
<li>ReleaseSemaphore()
: <a class="el" href="classflair_1_1core_1_1_semaphore.html#a045a06ff109107b9d767efc2ec66d180">flair::core::Semaphore</a>
</li>
<li>RemoveItem()
: <a class="el" href="classflair_1_1gui_1_1_list_widget.html#a6f5451a9f91d52ddfb9be31b8e639c2e">flair::gui::ListWidget</a>
</li>
<li>Reset()
: <a class="el" href="classflair_1_1filter_1_1_control_law.html#a0892ecd37930c5d92a41449ab6fa1f10">flair::filter::ControlLaw</a>
, <a class="el" href="classflair_1_1filter_1_1_pid.html#a41573a79913af95cbb94d30225e913b6">flair::filter::Pid</a>
, <a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a4987d6892e567cce5af9b22dcf065542">flair::filter::PidThrust</a>
, <a class="el" href="classflair_1_1filter_1_1_trajectory_generator1_d.html#aafcba1bfa8ff1efb1ac8b321799ba859">flair::filter::TrajectoryGenerator1D</a>
</li>
<li>ResetI()
: <a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#ad82440a1c4d9b0409c8549f900991223">flair::filter::PidThrust</a>
</li>
<li>Resume()
: <a class="el" href="classflair_1_1core_1_1_thread.html#ae7c46910a801f1b16302570ad8ae9580">flair::core::Thread</a>
</li>
<li>Roll
: <a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea5f8990388fad1c927fc08019824fcbdd">flair::core::AhrsData</a>
</li>
<li>roll
: <a class="el" href="classflair_1_1core_1_1_euler.html#ac8a4196794431adbbd706320162fc7e5">flair::core::Euler</a>
</li>
<li>RollDeg
: <a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea5fc64bf63e469acf2ea04b026566898a">flair::core::AhrsData</a>
</li>
<li>RollPlot()
: <a class="el" href="classflair_1_1filter_1_1_ahrs.html#a7d89b658d75c4fdd93d0d6fb4f3c1978">flair::filter::Ahrs</a>
</li>
<li>RollTrim()
: <a class="el" href="classflair_1_1filter_1_1_joy_reference.html#a69099dbde49e1e891cd8359cff7da87a">flair::filter::JoyReference</a>
</li>
<li>RollTrimDown()
: <a class="el" href="classflair_1_1filter_1_1_joy_reference.html#a7135749ee6e685177b7e4da5c81e312c">flair::filter::JoyReference</a>
</li>
<li>RollTrimUp()
: <a class="el" href="classflair_1_1filter_1_1_joy_reference.html#af404e0a05fc83d693e8f03597d02af18">flair::filter::JoyReference</a>
</li>
<li>Rotate()
: <a class="el" href="classflair_1_1core_1_1_vector2_d.html#a21daa593189491de24363448b1ad73af">flair::core::Vector2D&lt; T &gt;</a>
, <a class="el" href="classflair_1_1core_1_1_vector3_d.html#a5b55225f9547b97a21758c1e2b65dea3">flair::core::Vector3D&lt; T &gt;</a>
</li>
<li>RotateDeg()
: <a class="el" href="classflair_1_1core_1_1_vector2_d.html#a572147dfa3c10871a9e01904a1f9a751">flair::core::Vector2D&lt; T &gt;</a>
</li>
<li>RotateX()
: <a class="el" href="classflair_1_1core_1_1_vector3_d.html#a195e8601b80e5e85a4d361c5a9b746a0">flair::core::Vector3D&lt; T &gt;</a>
</li>
<li>RotateXDeg()
: <a class="el" href="classflair_1_1core_1_1_vector3_d.html#a70eb14b1c286020f1e5a092a6188b361">flair::core::Vector3D&lt; T &gt;</a>
</li>
<li>RotateY()
: <a class="el" href="classflair_1_1core_1_1_vector3_d.html#a47b3902a89379a918cd9f5441aa7c748">flair::core::Vector3D&lt; T &gt;</a>
</li>
<li>RotateYDeg()
: <a class="el" href="classflair_1_1core_1_1_vector3_d.html#a57a22e954ffffa6f9c8d828788ac1eac">flair::core::Vector3D&lt; T &gt;</a>
</li>
<li>RotateZ()
: <a class="el" href="classflair_1_1core_1_1_vector3_d.html#aaa82d7a6693e70ff7b242aceb977e9c0">flair::core::Vector3D&lt; T &gt;</a>
</li>
<li>RotateZDeg()
: <a class="el" href="classflair_1_1core_1_1_vector3_d.html#a3cd28096c5b268d44fae64ff3de97c60">flair::core::Vector3D&lt; T &gt;</a>
</li>
<li>RotationMatrix()
: <a class="el" href="classflair_1_1core_1_1_rotation_matrix.html#a1654c70915d03eea7c712a04296b9583">flair::core::RotationMatrix</a>
</li>
<li>RotationType_t
: <a class="el" href="classflair_1_1core_1_1_one_axis_rotation.html#a327edc6a6cdc6af2abc763aea6618495">flair::core::OneAxisRotation</a>
</li>
<li>Row()
: <a class="el" href="classflair_1_1gui_1_1_layout_position.html#a1fca2149b3c709f3f2172e8fea66b02d">flair::gui::LayoutPosition</a>
</li>
<li>Rows()
: <a class="el" href="classflair_1_1core_1_1cvmatrix.html#a4a1e997443651c5a6f24fad7ca322311">flair::core::cvmatrix</a>
, <a class="el" href="classflair_1_1core_1_1cvmatrix__descriptor.html#af29d7a83feaaa169ba44719165b3f85b">flair::core::cvmatrix_descriptor</a>
, <a class="el" href="classflair_1_1core_1_1_matrix.html#a4347ec4349efc11d76792e8116452d6c">flair::core::Matrix</a>
</li>
<li>RTDM_I2cPort()
: <a class="el" href="classflair_1_1core_1_1_r_t_d_m___i2c_port.html#ac2b7d633d0dd8f7c05734a3a07faeaab">flair::core::RTDM_I2cPort</a>
</li>
<li>RTDM_SerialPort()
: <a class="el" href="classflair_1_1core_1_1_r_t_d_m___serial_port.html#a93fe0bd5ea18afcc5d57b7be1f053bad">flair::core::RTDM_SerialPort</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:24 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
